"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typed_graphqlify_1 = require("typed-graphqlify");
const GraphQL_1 = __importDefault(require("./GraphQL"));
class Query extends GraphQL_1.default {
    constructor() {
        super(...arguments);
        this.toString = (operation, { columns, variables, }) => {
            const param = this.operation(operation, columns, variables);
            return typed_graphqlify_1.query(operation, param);
        };
    }
}
exports.default = Query;
//# sourceMappingURL=Query.js.map